package com.rp.util.sort.compare;

public class FloatComparator implements java.util.Comparator
{

	public int compare(Object o1,Object o2) throws ClassCastException
	{
		if(!(o1 instanceof Float))
		{
			throw new ClassCastException();
		}
		if(!(o2 instanceof Float))
		{
			throw new ClassCastException();
		}
		float d1 = ((Float)o1).floatValue();
		float d2 = ((Float)o2).floatValue();
		
		if (d1 < d2)
		{
			return -1;	
		}
		else if (d1 > d2)
		{
			return 1;	
		}
		else
		{
			return 0;	
		}
	}
}
