package com.rp.util.sort.compare;

public class ShortComparator implements java.util.Comparator
{

	public int compare(Object o1,Object o2) throws ClassCastException
	{
		if(!(o1 instanceof Short))
		{
			throw new ClassCastException();
		}
		if(!(o2 instanceof Short))
		{
			throw new ClassCastException();
		}
		short d1 = ((Short)o1).shortValue();
		short d2 = ((Short)o2).shortValue();
		
		if (d1 < d2)
		{
			return -1;	
		}
		else if (d1 > d2)
		{
			return 1;	
		}
		else
		{
			return 0;	
		}
	}
}
